using Inspectron.Camera.UEye;

IDSImageSource imageSource = new IDSImageSource();

Console.WriteLine("Opening");
imageSource.InitializeModule();

while (true)
{
    Console.WriteLine("Getting image");
    var image=imageSource.GetImage(CancellationToken.None).Result;
    image.SaveImage("test.png");
}